Commit 215ba2cf authored by Andreas Cord-Landwehr's avatar Andreas Cord-Landwehr
Browse files

Avoid CMake warnings for policy CMP0022.

This change requires CMake to be at least 2.8.9.
parent c6770681
......@@ -34,8 +34,11 @@ set( learnerprofile_LIB_SRCS
kde4_add_library( learnerprofile SHARED ${learnerprofile_LIB_SRCS} )
target_link_libraries( learnerprofile
${KDE4_KDECORE_LIBS} ${QT_QTSQL_LIBRARY}
target_link_libraries(
learnerprofile
LINK_PRIVATE
${KDE4_KDECORE_LIBS}
${QT_QTSQL_LIBRARY}
)
set_target_properties( learnerprofile
......
......@@ -158,6 +158,7 @@ kde4_add_ui_files(artikulateCore_SRCS
kde4_add_kcfg_files(artikulateCore_SRCS settings.kcfgc)
kde4_add_library(artikulatecore SHARED ${artikulateCore_SRCS})
target_link_libraries(artikulatecore
LINK_PRIVATE
learnerprofile
${artikulateCoreTargetLibs}
)
......@@ -200,6 +201,7 @@ kde4_add_ui_files(artikulate_SRCS
kde4_add_kcfg_files(artikulate_SRCS settings.kcfgc)
kde4_add_executable(artikulate ${artikulate_SRCS})
target_link_libraries(artikulate
LINK_PRIVATE
learnerprofile
${artikulateTargetLibs}
)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment